#ifndef __LINKEDLIST_H__
#define __LINKEDLIST_H__
#include <iostream>
#include "node.h"

using namespace std;

class linkedlist { 
    public:
        linkedlist();
        ~linkedlist();
        node* head;
        bool has_a(int value);
        bool is_it_zero(int value);
        void insertHead(int value);
        void insertTail(int value);
        void insertAfter(int value, int insertionNode);
        void remove(int value);
        void clear();
        int at(int index);
        int size();
        friend ostream & operator<<(ostream & os, linkedlist & f);
};
#endif
